<bugID>867224<Summary>Bookmark star button button should be near the location/address bar, not behind the search bar</Summary><Description>2013-04-30-03-09-41-mozilla-central-firefox-23.0a1.en-US.linux-x86_64

bug 748894 has moved the star button outside of the location bar.  Not just outside, but behind the search bar.

But starring refers to the current location, not to a search.  So it is more intuitive and convenient to have the button near the address bar, so you can easier see what you are bookmarking.

Not only is the button in a "wrong" place by default, but comments in that bug say it is going to be impossible to put the button between the two input fields!</Description></bugID>